<div class="mainMenu">
    <ul>
        <li>
            <span (click)="openGlobalDialogInfo()">
                <fa-icon class="icon" icon="info-circle"></fa-icon>
                {{ 'ProjectInfo' | translate:lang }}
            </span>
        </li>
        <li>
            <span (click)="openGlobalDialogLists()">
            <!-- TODO: Hide if lists not available -->
                <fa-icon class="icon" icon="clipboard-list"></fa-icon>
                {{ 'OpenLists' | translate:lang }}
            </span>
        </li>
        <li>
            <span (click)="generateBookmark()">
                <fa-icon class="icon" icon="bookmark"></fa-icon>
                {{ 'Bookmark' | translate:lang }}
            </span>
        </li>
        <li>
            <span (click)="downloadXML()">
            <!-- TODO: Hide if feature not available from config -->
                <fa-icon class="icon" icon="download"></fa-icon>
                {{ 'DownloadXML' | translate:lang }}
            </span>
        </li>
    </ul>
    <hr/>
    <ul>
        <li *ngIf="uiConfig && uiConfig.localization">
            <span class="no-action">
                <fa-icon class="icon" icon="language"></fa-icon>
                {{ 'ChangeLanguage' | translate:lang }}
                <img *ngFor="let langCode of locale.getAvailableLanguages()"
                    [src]="'assets/images/'+langCode+'.png'" class="flag"
                    [class.active]="locale.getCurrentLanguage() === langCode"
                    [title]="'language_'+langCode | translate:lang" (click)="selectLanguage(langCode);"/>
            </span>
        </li>
        <li>
            <span class="no-action">
                <fa-icon class="icon" icon="paint-brush"></fa-icon>
                {{ 'ChangeTheme' | translate:lang }}
                <span class="theme-item" *ngFor="let theme of themes.getAvailableThemes()"
                    [class.active]="themes.getCurrentThemeValue() === theme.value"
                    [attr.data-theme]="theme.value"
                    [title]="theme.label | translate:lang"
                    (click)="selectTheme(theme)">
                </span>
            </span>
        </li>
        <li>
            <span (click)="openShortCuts()">
                <fa-icon class="icon" icon="keyboard"></fa-icon>
                {{ 'Shortcuts' | translate:lang }}
            </span>
        </li>
    </ul>
</div>
